Subject: filter-branch enhancements

From: Pierre Habouzit <[email-masked]>
Date: Thu, 30 Oct 2008 17:18:56 +0100

The first patch is about making git-filter-branch use parse options, and
is independant, but the current state made my eyes bleed, and I wanted
to work on the second patch ;)

The second patch is more a request for comments, and if people think
it's useful, I'll try to check it actually works, and write some tests
for it.